NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::PID::PipeBuilder Class Reference

Represents a PipeBuilder. More...

Inheritance diagram for NXOpen::PID::PipeBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXString ElementId ()
 Returns the current element ID of this pipe. More...
 
void GetBendPoints (std::vector< NXOpen::Point2d > &points)
 Get bending points for polyline to render the connection. More...
 
NXOpen::Diagramming::ConnectionGetConnection ()
 Get the connection object of the connection builder. More...
 
void GetEnd (NXOpen::PID::Equipment **equipment, NXString *nodeSidId, NXString *portId)
 Gets the end port of this pipe. More...
 
NXOpen::Point2d GetEndLocation ()
 Get the end location of this connection. More...
 
void GetEndTee (NXOpen::PID::Equipment **tee, NXString *nodeSidId)
 Gets the end Tee. More...
 
void GetEndTeeLocation (NXOpen::PID::Pipe **pipe, NXString *connectionId, int *segementId, double *percent)
 Get the connection location for tee object at the end of the connection. More...
 
void GetNewEndTeeConnection (NXOpen::PID::Pipe **pipe, NXString *connectionId)
 Gets new connection after inserting the end Tee. More...
 
void GetNewStartTeeConnection (NXOpen::PID::Pipe **pipe, NXString *connectionId)
 Gets new connection after inserting the start Tee. More...
 
void GetStart (NXOpen::PID::Equipment **equipment, NXString *nodeSidId, NXString *portId)
 Gets the start port of this connection. More...
 
NXOpen::Point2d GetStartLocation ()
 Get the start location of this connection. More...
 
void GetStartTee (NXOpen::PID::Equipment **tee, NXString *nodeSidId)
 Gets the start Tee. More...
 
void GetStartTeeLocation (NXOpen::PID::Pipe **pipe, NXString *connectionId, int *segementId, double *percent)
 Get the connection location for tee object at the start of the connection. More...
 
NXString Id ()
 Returns the id of the pipe. More...
 
NXOpen::PLAS::RunOwningRun ()
 Returns the owning run of the pipe. More...
 
NXOpen::PID::SheetOwningSheet ()
 Returns the owning sheet of this pipe. More...
 
bool ReverseEnd ()
 Returns the reversed flag of this connection. More...
 
void SetBendPoints (const std::vector< NXOpen::Point2d > &points)
 Set bending points for polyline to render the connection. More...
 
void SetElementId (const NXString &elementId)
 Sets the current element ID of this pipe. More...
 
void SetElementId (const char *elementId)
 Sets the current element ID of this pipe. More...
 
void SetEnd (NXOpen::PID::Equipment *equipment, const NXString &nodeSidId, const NXString &portId)
 Sets the end port of this pipe. More...
 
void SetEnd (NXOpen::PID::Equipment *equipment, const char *nodeSidId, const char *portId)
 Sets the end port of this pipe. More...
 
void SetEndLocation (const NXOpen::Point2d &endLocation)
 Set the end location of this connection. More...
 
void SetEndTeeLocation (NXOpen::PID::Pipe *pipe, const NXString &connectionId, int segementId, double percent)
 Set the connection location for tee object at the end of the connection. More...
 
void SetEndTeeLocation (NXOpen::PID::Pipe *pipe, const char *connectionId, int segementId, double percent)
 Set the connection location for tee object at the end of the connection. More...
 
void SetOwningRun (NXOpen::PLAS::Run *owningRun)
 Sets the owning run of the pipe. More...
 
void SetOwningSheet (NXOpen::PID::Sheet *owningSheet)
 Sets the owning sheet of this pipe. More...
 
void SetStart (NXOpen::PID::Equipment *equipment, const NXString &nodeSidId, const NXString &portId)
 Sets the start port of this connection. More...
 
void SetStart (NXOpen::PID::Equipment *equipment, const char *nodeSidId, const char *portId)
 Sets the start port of this connection. More...
 
void SetStartLocation (const NXOpen::Point2d &startLocation)
 Set the start location of this connection. More...
 
void SetStartTeeLocation (NXOpen::PID::Pipe *pipe, const NXString &connectionId, int segementId, double percent)
 Set the connection location for tee object at the start of the connection. More...
 
void SetStartTeeLocation (NXOpen::PID::Pipe *pipe, const char *connectionId, int segementId, double percent)
 Set the connection location for tee object at the start of the connection. More...
 
void SetStockPathId (const NXString &stockPathId)
 Sets the stock path ID of the pipe. More...
 
void SetStockPathId (const char *stockPathId)
 Sets the stock path ID of the pipe. More...
 
NXString StockPathId ()
 Returns the stock path ID of the pipe. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a PipeBuilder.


To create a new instance of this class, use NXOpen::PID::PidManager::CreatePipeBuilder

Created in NX11.0.1.

Member Function Documentation

NXString NXOpen::PID::PipeBuilder::ElementId ( )

Returns the current element ID of this pipe.

It works only in edit mode, it's optional and the first element ID stored in the pipe will be used as default.
Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

void NXOpen::PID::PipeBuilder::GetBendPoints ( std::vector< NXOpen::Point2d > &  points)

Get bending points for polyline to render the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
pointspoints
NXOpen::Diagramming::Connection* NXOpen::PID::PipeBuilder::GetConnection ( )

Get the connection object of the connection builder.

Returns

Created in NX12.0.0.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")
void NXOpen::PID::PipeBuilder::GetEnd ( NXOpen::PID::Equipment **  equipment,
NXString nodeSidId,
NXString portId 
)

Gets the end port of this pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipmentequipment
nodeSidIdnodesidid
portIdportid
NXOpen::Point2d NXOpen::PID::PipeBuilder::GetEndLocation ( )

Get the end location of this connection.

This end location is applicable only when the Diagramming::ConnectionBuilder::End port is NULL.

Returns

Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")
void NXOpen::PID::PipeBuilder::GetEndTee ( NXOpen::PID::Equipment **  tee,
NXString nodeSidId 
)

Gets the end Tee.


Created in NX12.0.0.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
teetee
nodeSidIdnodesidid
void NXOpen::PID::PipeBuilder::GetEndTeeLocation ( NXOpen::PID::Pipe **  pipe,
NXString connectionId,
int *  segementId,
double *  percent 
)

Get the connection location for tee object at the end of the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
segementIdsegementid
percentpercent
void NXOpen::PID::PipeBuilder::GetNewEndTeeConnection ( NXOpen::PID::Pipe **  pipe,
NXString connectionId 
)

Gets new connection after inserting the end Tee.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
void NXOpen::PID::PipeBuilder::GetNewStartTeeConnection ( NXOpen::PID::Pipe **  pipe,
NXString connectionId 
)

Gets new connection after inserting the start Tee.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
void NXOpen::PID::PipeBuilder::GetStart ( NXOpen::PID::Equipment **  equipment,
NXString nodeSidId,
NXString portId 
)

Gets the start port of this connection.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipmentequipment
nodeSidIdnodesidid
portIdportid
NXOpen::Point2d NXOpen::PID::PipeBuilder::GetStartLocation ( )

Get the start location of this connection.

This start location is applicable only when the Diagramming::ConnectionBuilder::Start is NULL.

Returns

Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")
void NXOpen::PID::PipeBuilder::GetStartTee ( NXOpen::PID::Equipment **  tee,
NXString nodeSidId 
)

Gets the start Tee.


Created in NX12.0.0.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
teetee
nodeSidIdnodesidid
void NXOpen::PID::PipeBuilder::GetStartTeeLocation ( NXOpen::PID::Pipe **  pipe,
NXString connectionId,
int *  segementId,
double *  percent 
)

Get the connection location for tee object at the start of the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
segementIdsegementid
percentpercent
NXString NXOpen::PID::PipeBuilder::Id ( )

Returns the id of the pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

NXOpen::PLAS::Run* NXOpen::PID::PipeBuilder::OwningRun ( )

Returns the owning run of the pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

NXOpen::PID::Sheet* NXOpen::PID::PipeBuilder::OwningSheet ( )

Returns the owning sheet of this pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

bool NXOpen::PID::PipeBuilder::ReverseEnd ( )

Returns the reversed flag of this connection.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")

void NXOpen::PID::PipeBuilder::SetBendPoints ( const std::vector< NXOpen::Point2d > &  points)

Set bending points for polyline to render the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
pointspoints
void NXOpen::PID::PipeBuilder::SetElementId ( const NXString elementId)

Sets the current element ID of this pipe.

It works only in edit mode, it's optional and the first element ID stored in the pipe will be used as default.
Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
elementIdelementid
void NXOpen::PID::PipeBuilder::SetElementId ( const char *  elementId)

Sets the current element ID of this pipe.

It works only in edit mode, it's optional and the first element ID stored in the pipe will be used as default.
Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
elementIdelementid
void NXOpen::PID::PipeBuilder::SetEnd ( NXOpen::PID::Equipment equipment,
const NXString nodeSidId,
const NXString portId 
)

Sets the end port of this pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipmentequipment
nodeSidIdnodesidid
portIdportid
void NXOpen::PID::PipeBuilder::SetEnd ( NXOpen::PID::Equipment equipment,
const char *  nodeSidId,
const char *  portId 
)

Sets the end port of this pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipmentequipment
nodeSidIdnodesidid
portIdportid
void NXOpen::PID::PipeBuilder::SetEndLocation ( const NXOpen::Point2d endLocation)

Set the end location of this connection.

This end location is applicable only when the Diagramming::ConnectionBuilder::End port is NULL.
Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
endLocationendlocation
void NXOpen::PID::PipeBuilder::SetEndTeeLocation ( NXOpen::PID::Pipe pipe,
const NXString connectionId,
int  segementId,
double  percent 
)

Set the connection location for tee object at the end of the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
segementIdsegementid
percentpercent
void NXOpen::PID::PipeBuilder::SetEndTeeLocation ( NXOpen::PID::Pipe pipe,
const char *  connectionId,
int  segementId,
double  percent 
)

Set the connection location for tee object at the end of the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
segementIdsegementid
percentpercent
void NXOpen::PID::PipeBuilder::SetOwningRun ( NXOpen::PLAS::Run owningRun)

Sets the owning run of the pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
owningRunowningrun
void NXOpen::PID::PipeBuilder::SetOwningSheet ( NXOpen::PID::Sheet owningSheet)

Sets the owning sheet of this pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
owningSheetowningsheet
void NXOpen::PID::PipeBuilder::SetStart ( NXOpen::PID::Equipment equipment,
const NXString nodeSidId,
const NXString portId 
)

Sets the start port of this connection.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipmentequipment
nodeSidIdnodesidid
portIdportid
void NXOpen::PID::PipeBuilder::SetStart ( NXOpen::PID::Equipment equipment,
const char *  nodeSidId,
const char *  portId 
)

Sets the start port of this connection.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
equipmentequipment
nodeSidIdnodesidid
portIdportid
void NXOpen::PID::PipeBuilder::SetStartLocation ( const NXOpen::Point2d startLocation)

Set the start location of this connection.

This start location is applicable only when the Diagramming::ConnectionBuilder::Start is NULL.
Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
startLocationstartlocation
void NXOpen::PID::PipeBuilder::SetStartTeeLocation ( NXOpen::PID::Pipe pipe,
const NXString connectionId,
int  segementId,
double  percent 
)

Set the connection location for tee object at the start of the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
segementIdsegementid
percentpercent
void NXOpen::PID::PipeBuilder::SetStartTeeLocation ( NXOpen::PID::Pipe pipe,
const char *  connectionId,
int  segementId,
double  percent 
)

Set the connection location for tee object at the start of the connection.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
pipepipe
connectionIdconnectionid
segementIdsegementid
percentpercent
void NXOpen::PID::PipeBuilder::SetStockPathId ( const NXString stockPathId)

Sets the stock path ID of the pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
stockPathIdstockpathid
void NXOpen::PID::PipeBuilder::SetStockPathId ( const char *  stockPathId)

Sets the stock path ID of the pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_author ("NX P and ID Design Author")

Parameters
stockPathIdstockpathid
NXString NXOpen::PID::PipeBuilder::StockPathId ( )

Returns the stock path ID of the pipe.


Created in NX11.0.1.

License requirements : nx_pid_design_reader ("NX P and ID Design Reader") OR nx_pid_design_author ("NX P and ID Design Author")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.